﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace TestHdadmProject
{
    public class CallDetailTopInformation:INotifyPropertyChanged
    {
        private long _callId;
        private string _houseHold;
        private string _name;
        private string _firstName;
        private string _city;
        private string _phone;
        private string _project;
        public string HouseHold { get { return _houseHold; } set { if (this._houseHold != value) { this._houseHold = value; this.RaisePropertyChanged(); } } }
        public string Name { get { return _name; } set { if (this._name != value) { this._name = value; this.RaisePropertyChanged(); } } }
        public string FirstName { get { return _firstName; } set { if (this._firstName != value) { this._firstName = value; this.RaisePropertyChanged(); } } }
        public string City { get { return _city; } set { if (this._city != value) { this._city = value; this.RaisePropertyChanged(); } } }
        public string Phone { get { return _phone; } set { if (this._phone != value) { this._phone = value; this.RaisePropertyChanged(); } } }
        public long CallId { get { return _callId; } set { if (this._callId != value) { this._callId = value; this.RaisePropertyChanged(); } } }
        public string Project { get { return _project; } set { if (this._project != value) { this._project = value; this.RaisePropertyChanged(); } } }
        public event PropertyChangedEventHandler PropertyChanged;

        //[CallerMemberName] will only work with .NET Framework 4.5 or Above
        public void RaisePropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
